=== ggadget/tests/test_modules/bar_module/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

ADD_DEFINITIONS(-DMODULE_NAME=bar-module -DMODULE_NAME_UNDERSCORE=bar_module -DSCRIPT_EXTENSION=1)
ADD_MODULE(bar-module ${SRCS})
TARGET_LINK_LIBRARIES(bar-module)
OUTPUT_TEST_MODULE(bar-module)
