=== extensions/CMakeLists.txt ===
--- 
+++ 
@@ -34,3 +34,7 @@
 ADD_SUBDIRECTORY(google_gadget_manager)
 ADD_SUBDIRECTORY(gtk_flash_element)
 ADD_SUBDIRECTORY(analytics_usage_collector)
+ADD_SUBDIRECTORY(webkit_script_runtime)
+ADD_SUBDIRECTORY(gtkwebkit_browser_element)
+ADD_SUBDIRECTORY(html_flash_element)
+ADD_SUBDIRECTORY(soup_xml_http_request)
