=== ggadget/CMakeLists.txt ===
--- 
+++ 
@@ -172,6 +172,7 @@
   img_element.h
   item_element.h
   label_element.h
+  light_map.h
   listbox_element.h
   locales.h
   localized_file_manager.h
