=== extensions/gst_video_element/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 APPLY_CONFIG(GSTREAMER)
 APPLY_CONFIG(GSTREAMER_PLUGINS_BASE)
 
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-conversion")
+
 SET(SRCS
   gadget_videosink.cc
   gst_video_element.cc
