=== debian/changelog ===
google-gadgets (0.11.2-3) unstable; urgency=low

  [ Pino Toscano ]
  * Remove the postinst and postrm scripts of google-gadgets-common, as
    dh_installmime will take care of adding the proper snippets to trigger
    update-mime-database. (Closes: #591863)
  * Update debian/copyright:
    - explicitly list the sources in unittest/ which are licensed as BSD.
    - put the whole BSD license text instead of referring to
      /usr/share/common-licenses/BSD, which is deprecated in Debian Policy
      3.9.0.0.
  * Bump Standards-Version to 3.9.1.
  * Change the Vcs-* headers to the new Git repository location.
  * Switch to format "3.0 (quilt)":
    - drop quilt build-dependency.
    - no need to use the quilt dh addon.
    - remove the debian/README.source file.
  * Rename libggadget-1.0-0.docs to libggadget-1.0-0b.docs, missed in the
    previous ABI adaptation.
  * Add myself as uploader.
  * Add "DM-Upload-Allowed: yes" in debian/control.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 Aug 2010 10:31:02 +0200

google-gadgets (0.11.2-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Sat, 01 May 2010 23:14:12 +0300

google-gadgets (0.11.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * New upstream release:
    - fixes a typo in the "World Daylight Clock". (Closes: #566168)
    - fixes GTK+ expose events with GTK+ >= 2.18. (Closes: #566169)
    - links ggl-qt to X11 and Xrender (Closes: #554696)
  * This new version of google-gadgets breaks API and ABI once again, so:
    - rename library packages, 'b' suffix this time.
    - add conflict against 'a' libraries.
    - update -dev packages dependency accordingly.
  * Make use of the xulrunner dh addon, so dh_xulrunner is run again.
  * Switch from cURL to SOUP for the xml_http_request module. Other than being
    recommended upstream, this also avoid crashes which can happen with
    gnutls. (Closes: #566167)
  * Install the html-flash-element extension in the -common package.
  * Make libggadget-gtk-1.0-dev and libggadget-qt-1.0-dev depend respectively
    on libgtk2.0-dev and libqt4-dev, as they use their host libraries in the
    public headers.
  * Add patch 05_hurd_pthread.patch to force linking with pthread (workaround
    Hurd issue).
  * Add author and small descriptions to all the patches.
  * Refresh patch 03_GRE_Version.patch, thanks Mike Hommey for the hints.
  * Bump Standards-Version to 3.8.4, no changes required.
  * Slightly improve descriptions: add main blurb in each package, fix a couple
    of typos.
  * Add lintian overrides:
    - the names of the lib* packages don't reflect the SO-names of the
      library/ies contained.
  * Make dh_install ignore .la files.
  * Adjust capitalisation of "QT" to "Qt" also in the ggl-qt.7 manpage.
  * Add also the SOVERSION to the .install files.

  [ Modestas Vainius ]
  * Since ABI breakages are going to continue, add *-api virtual packages
    to keep library count in the conflicts at the manageable level.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 04 Mar 2010 20:41:01 +0200

google-gadgets (0.11.1-2) unstable; urgency=low

  [ Fathi Boudra ]
  * Update debian/control: set Debian Krap Maintainers as maintainer.
  * Bump debian/compat to 7.
  * Switch to dh.

  [ Michael Biebl ]
  * Update debian/control:
    - Point the Vcs-* fields to the pkg-kde SVN.

  [ Pino Toscano ]
  * Add 04_hurd.patch:
    - configure.ac: correctly detect GNU/Hurd. (Closes: #550948)

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2010 19:30:48 +0100

google-gadgets (0.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload to fix broken ABI:
    - Rename library packages.
    - Conflict against old libraries
    - Update -dev packages dependency

 -- Fathi Boudra <fabo@debian.org>  Mon, 11 Jan 2010 09:55:21 +0100

google-gadgets (0.11.1-1) unstable; urgency=low

  * New upstream release (Closes: 534719)
  * Added shared-mime-info as a dependency for google-gadgets-common
    (Closes: 559077)
  * Added google-gadgets-xul as a dependency of google-gadgets-qt
    (Closes: 513175)
  * Excluded network-manager-dev from build-depends on hurd-i386,
    It might build on hurd now, if so: Closes: 550948
  * Adjusted capitalisation of "QT" to "Qt" (Closes: 554625)
  * Removed 99_relibtoolize.patch, we run autoreconf preconfigure now

 -- Jack Coulter <jscinoz@gmail.com>  Mon, 21 Dec 2009 09:42:37 +1100

google-gadgets (0.10.5-0.3) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548677)
  * debian/rules: Use dh_xulrunner
  * debian/control: Build-depend on a xulrunner-dev that provides dh_xulrunner.
  * debian/patches/03_GRE_Version.patch: Tighten the GREVersionRange.
  * debian/patches/series: Add 03_GRE_Version.patch.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 16:08:37 +0200

google-gadgets (0.10.5-0.2) unstable; urgency=low

  * NMU.
  * Fix xdgmime's license in debian/copyright. (Closes: #512029)
  * Fix the package's description. (Closes: #534424)
  * Don't call deprecated dh_desktop.
  * Don't build-depends on network-manager-dev on GNU/kFreeBSD. 
  * Use quilt as a patch system.
  * Enable AM_MAINTAINER_MODE
  * configure.ac: correctly detect GNU/kFreeBSD. (Closes: #542543)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Sep 2009 20:11:41 +0200

google-gadgets (0.10.5-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.

 -- Sune Vuorela <debian@pusling.com>  Mon, 26 Jan 2009 20:57:42 +0100

google-gadgets (0.10.4-1) unstable; urgency=low

  * New upstream release
  * Yet again more information added to copyright file

  [ Sune Vuorela ]
  * Fixups in rules file.
  * Small additions to copyright file.
  * Initial upload to debian. (Actually Closes: 484867)
  
 -- Jack Coulter <jscinoz@gmail.com>  Wed, 17 Dec 2008 11:22:31 +1100

google-gadgets (0.10.3-1) unstable; urgency=low

  * New upstream release

