=== debian/control ===
Source: google-gadgets
Section: misc
Priority: extra
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>, Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.0.50~), automake, autoconf,
 libtool, chrpath, zip, libsoup2.4-dev (>= 2.26.0),
 libdbus-1-dev, libeditline-dev, libgtk2.0-dev,
 libgstreamer-plugins-base0.10-dev, libltdl3-dev, libqt4-dev, librsvg2-dev,
 libstartup-notification0-dev, libxml2-dev,
 network-manager-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 xulrunner-dev (>= 1.9.1.6), zlib1g-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-kde/krap/google-gadgets.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/google-gadgets.git
Homepage: http://code.google.com/p/google-gadgets-for-linux/
DM-Upload-Allowed: yes

Package: libggadget-1.0-0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libggadget-1.0-0, libggadget-1.0-0a, libggadget-1.0-0-api
Replaces: libggadget-1.0-0-api
Provides: libggadget-1.0-0-api
Description: Google Gadgets main library
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the main Google Gadgets library, it is required by both
 the GTK+ and Qt versions of Google Gadgets.

Package: libggadget-1.0-dev
Section: libdevel
Architecture: any
Depends: libggadget-1.0-0b (= ${binary:Version}), ${misc:Depends}
Description: Google Gadgets main development files
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the development files associated with libggadget, it is
 needed to write programs that utilise libggadget.

Package: libggadget-gtk-1.0-0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libggadget-gtk-1.0-0, libggadget-gtk-1.0-0a, libggadget-gtk-1.0-0-api
Replaces: libggadget-gtk-1.0-0-api
Provides: libggadget-gtk-1.0-0-api
Description: Google Gadgets GTK+ library
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the GTK+ Google Gadgets library, it is required to run
 the GTK+ version of Google Gadgets.

Package: libggadget-gtk-1.0-dev
Section: libdevel
Architecture: any
Depends: libggadget-gtk-1.0-0b (= ${binary:Version}), ${misc:Depends}, libgtk2.0-dev
Description: Google Gadgets GTK+ development files
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the development files associated with libggadget-gtk,
 it is needed to write GTK+ programs that utilise libggadget.

Package: libggadget-qt-1.0-0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libggadget-qt-1.0-0, libggadget-qt-1.0-0a, libggadget-qt-1.0-0-api
Replaces: libggadget-qt-1.0-0-api
Provides: libggadget-qt-1.0-0-api
Description: Google Gadgets Qt library
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the Qt Google Gadgets library, it is required to run
 the Qt version of Google Gadgets.

Package: libggadget-qt-1.0-dev
Section: libdevel
Architecture: any
Depends: libggadget-qt-1.0-0b (= ${binary:Version}), ${misc:Depends}, libqt4-dev
Description: Google Gadgets Qt development files
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the development files associated with libggadget-qt,
 it is needed to write Qt programs that utilise libggadget.

Package: google-gadgets-common
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, shared-mime-info
Description: Common files for Qt and GTK+ versions of google-gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes files common to both GTK+ and Qt versions.

Package: google-gadgets-gtk
Section: gnome
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 google-gadgets-gst (= ${binary:Version}),
 google-gadgets-xul (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ Version of Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows aso well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the GTK+ version.

Package: google-gadgets-qt
Section: kde
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 google-gadgets-gst (= ${binary:Version}),
 google-gadgets-xul (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 version of Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the Qt version.

Package: google-gadgets-gst
Section: misc
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: GStreamer Module for Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the GStreamer modules

Package: google-gadgets-xul
Section: misc
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: XULRunner module for Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the XULRunner Modules
