=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with xulrunner $@

override_dh_auto_configure:
	autoreconf --verbose --force --install
	dh_auto_configure -- \
		--with-browser-plugins-dir=\$${prefix}/lib/xulrunner-addons/plugins \
		--disable-werror \
		--enable-ltdl-install=no

override_dh_install:
	chrpath -d debian/tmp/usr/lib/google-gadgets/gtkmoz-browser-child
	chrpath -d debian/tmp/usr/lib/google-gadgets/modules/smjs-script-runtime.so
	dh_install --list-missing -X.la

override_dh_makeshlibs:
	dh_makeshlibs -V -Ngoogle-gadgets-common -Ngoogle-gadgets-gtk \
		-Ngoogle-gadgets-qt -Ngoogle-gadgets-gst -Ngoogle-gadgets-xul

get-orig-source:
	# rename to what debian wants, repack to tgz rather than tbz2
	uscan --force-download --rename --repack

.PHONY: override_dh_auto_test
